Commit staged revert
POST
/api/session/{sessionID}/revert/commitPath parameters
sessionIDobjectrequiredResponses
204<No Content>
400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequired409SessionBusyError
_tagstringrequiredAllowed:
SessionBusyErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X POST "/api/session/%5Bobject%20Object%5D/revert/commit"const response = await fetch("/api/session/%5Bobject%20Object%5D/revert/commit", {
method: "POST"
});import requests
response = requests.post(
"/api/session/%5Bobject%20Object%5D/revert/commit",
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}{
"_tag": "SessionBusyError",
"sessionID": "string",
"message": "string"
}